Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Managed_Process Class Reference

A process easily managed by ACE_Process_Manager. More...

`#include <Process.h>`

Inheritance diagram for ACE_Managed_Process:

[legend]
Collaboration diagram for ACE_Managed_Process:

[legend]
List of all members.

## Public Methods
| ACE_Managed_Process ()
virtual void | unmanage (void)
| Cleanup by deleting <this>.
## Private Methods
virtual | ~ACE_Managed_Process (void)
| Make sure that we're allocated dynamically!
## Friends
class | ace_dewarn_gplusplus
| Keep G++ happy...

## Detailed Description

A process easily managed by ACE_Process_Manager.

- ACE_Managed_Process is just an
- ACE_Process with an
- unmanage method that deletes the instance. This class is only valid for use as a dynamically-allocated object!

## Constructor & Destructor Documentation

ACE_Managed_Process::ACE_Managed_Process | ( |  | ) |

ACE_Managed_Process::~ACE_Managed_Process | ( | void |  | ) | `[private, virtual]`

| Make sure that we're allocated dynamically!

## Member Function Documentation

ACE_INLINE void ACE_Managed_Process::unmanage | ( | void |  | ) | `[virtual]`

| Cleanup by deleting <this>. Reimplemented from ACE_Process.

## Friends And Related Function Documentation

friend class ace_dewarn_gplusplus`[friend]`

| Keep G++ happy...

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Process.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Process.cpp
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Process.i